*:*********************************************************************
*:
*:        Program: TXGRAPH.PRG
*:
*:         System: Texas Associated Software Laser Library
*:         Author: Jose E. Lopez, Jr.
*:      Copyright (c) 1991, Texas Associated Software - Red Oak, TX
*:
*:*********************************************************************

txinit(_print_port)
txreset()
txorient("L")                 && Set orientation to Landscape
txpagesize("letter")
txsetlpi(6)

_company   = "Texas Associated Software"
_units     = "Units Shipped in Thousands"
_1stqtr    = 19
_2ndqtr    = 23
_3rdqtr    = 15
_4thqtr    = 30

txcolbox(01, 01, 105, 45, 1,  0, 5)
txcolbox(43, 01, 105, 03, 1,  5, 5)

txcolprint(43, 08, .t., "1st Qtr 1990")
txcolprint(43, 33, .t., "2nd Qtr 1990")
txcolprint(43, 58, .t., "3rd Qtr 1990")
txcolprint(43, 83, .t., "4th Qtr 1990")
txcolprint(45, 41, .t., _units)
txcolprint(02, 41, .t., _company)

txcolprint(33, 01, .t., "10")
txcolprint(23, 01, .t., "20")
txcolprint(13, 01, .t., "30")
txcolprint(03, 01, .t., "40")

for i = 2100 to 0 step -496
   txdothline( 01, i, 3150, 1)  && draw horizontal thousands lines
Next

_col = 43 - _1stqtr
txpatternbar(_col, 10, 10, _1stqtr, 1, .t.)

_col = 43 - _2ndqtr
txpatternbar(_col, 35, 10, _2ndqtr, 3, .t.)

_col = 43 - _3rdqtr
txpatternbar(_col, 60, 10, _3rdqtr, 2, .t.)

_col = 43 - _4thqtr
txpatternbar(_col, 85, 10, _4thqtr, 4, .t.)

returncode = txclear()

*: EOF: TXGRAPH.PRG
